CGAL 5.6.3 - 3D Spherical Geometry Kernel

Loading...
Searching...
No Matches
List of all members
SphericalKernel::CompareZAtTheta_3 Concept Reference
3D Spherical Geometry Kernel Reference » Geometric Concepts

## Definition

See also
  `SphericalKernel::CompareZToRight_3`

## Operations
An object of this type must provide:
Comparison_result | operator() (const SphericalKernel::Circular_arc_3 &a0, const SphericalKernel::Circular_arc_3 &a1, const SphericalKernel::Vector_3 &m)
| compares the \( z\)-coordinates of the two intersections points of `a0` and `a1` with the meridian defined by `m` (see Section Spherical Kernel Objects).
Comparison_result | operator() (const SphericalKernel::Circular_arc_point_3 &p, const SphericalKernel::Circular_arc_3 &a)
| given a meridian anchored at the poles of the context sphere used by the function `SphericalKernel::compare_z_at_theta_3_object`, and passing through point `p`, compares the \( z\)-coordinate of point `p` and that of the intersection of the meridian with `a`.

## Member Function Documentation

## ◆ operator()() [1/2]

Comparison_result SphericalKernel::CompareZAtTheta_3::operator() | ( | const SphericalKernel::Circular_arc_3 & | a0,
|  | const SphericalKernel::Circular_arc_3 & | a1,
|  | const SphericalKernel::Vector_3 & | m
| ) |  |

compares the \( z\)-coordinates of the two intersections points of `a0` and `a1` with the meridian defined by `m` (see Section Spherical Kernel Objects).

Precondition
  `a0` and `a1` lie on the context sphere used by the function `SphericalKernel::compare_z_at_theta_3_object`. `m` \( \neq(0,0,0)\) and the \( z\)-coordinate of `m` is \( 0\). Arcs `a0` and `a1` are \( \theta\)-monotone and both intersected by the meridian defined by `m`(see Section Spherical Kernel Objects).

## ◆ operator()() [2/2]

Comparison_result SphericalKernel::CompareZAtTheta_3::operator() | ( | const SphericalKernel::Circular_arc_point_3 & | p,
|  | const SphericalKernel::Circular_arc_3 & | a
| ) |  |

given a meridian anchored at the poles of the context sphere used by the function `SphericalKernel::compare_z_at_theta_3_object`, and passing through point `p`, compares the \( z\)-coordinate of point `p` and that of the intersection of the meridian with `a`.

Precondition
  `a` and `p` lie on the context sphere used by the function `SphericalKernel::compare_z_at_theta_3_object`, arc `a` is \( \theta\)-monotone and the meridian passing through `p` intersects arc `a`.